<?php global $post_id,$cooked_is_embedded; if (!$post_id): $post_id = get_the_ID(); endif;

$recipe_post = get_post($post_id);
$author_id = $recipe_post->post_author;
$recipe_info = cp_recipe_info_settings();
$cooked_plugin = new cooked_plugin();
$enabled_taxonomies = $cooked_plugin->cp_recipe_tax_settings();
$terms_list = array();
	
// Get the Category & Taxonomies
if (in_array('category',$enabled_taxonomies)):
	if (in_array('category', $recipe_info)) : $terms_list[] = get_the_term_list( $post_id, 'cp_recipe_category', '<span><i class="fa fa-book"></i>&nbsp;&nbsp;', ', ', '</span>' ); endif;
endif;
if (in_array('cuisine',$enabled_taxonomies)):
	if (in_array('cuisine', $recipe_info)) : $terms_list[] = get_the_term_list( $post_id, 'cp_recipe_cuisine', '<span><i class="fa fa-flag"></i>&nbsp;&nbsp;', ', ', '</span>' ); endif;
endif;
if (in_array('method',$enabled_taxonomies)):
	if (in_array('method', $recipe_info)) : $terms_list[] = get_the_term_list( $post_id, 'cp_recipe_cooking_method', '<span><i class="fa fa-cutlery"></i>&nbsp;&nbsp;', ', ', '</span>' ); endif;
endif;

?><h1 class="fn" itemprop="itemReviewed"><?php
	
	echo '<span itemprop="name">'.get_the_title($post_id).'</span>';
	
	if (in_array('difficulty_level', $recipe_info)) :
		$difficulty_level = get_post_meta($post_id, '_cp_recipe_difficulty_level', true);
		cp_difficulty_level($difficulty_level);
	endif;

?></h1>

<?php if (!empty($terms_list) || in_array('author', $recipe_info)) :

	echo '<p class="terms-list">';
	
	if (in_array('author', $recipe_info)) :

		global $post; 
		$nickname = get_the_author_meta('nickname',$author_id);
		$username = get_the_author_meta('user_login',$author_id);
		if (!$nickname) { $nickname = $username; }
		$username = cp_create_slug($username);
		
		$profile_page_link = (get_option('cp_profile_page') ? get_permalink(get_option('cp_profile_page')) : false);
		$profile_page_link = rtrim($profile_page_link, '/');
		
		$avatar_image = false;
		if (in_array('author_avatar', $recipe_info)) :
			$avatar_image = cp_avatar($author_id,50);
		endif;
		
		if ($profile_page_link):
	
			echo '<span>'.($avatar_image ? $avatar_image : '<i class="fa fa-user"></i>&nbsp;&nbsp;') . __('By','cooked') . ' <a href="' . $profile_page_link . '/' . $username . '/">' . $nickname.'</a></span>';
		
		endif;
	
	endif;
	
	if (!empty($terms_list)):
		
		echo implode('',$terms_list);
	
	endif;
	
	echo '</p>';
	
endif; ?>

<p class="published"><?php the_time( 'F j, Y' ); ?><span class="value-title" title="<?php the_time( 'Y-m-d' ); ?>"></span></p>
<?php

if (in_array('rating', $recipe_info)) :

	$recipe_rating = cp_recipe_rating($post_id); ?>
	<div class="review" itemprop="aggregateRating" itemscope itemtype="http://schema.org/AggregateRating">
		<div class="rating rate-<?php echo $recipe_rating; ?>">
			<span itemprop="itemReviewed" itemscope itemtype="http://schema.org/Recipe">
				<span itemprop="name"><?php echo get_the_title($post_id); ?></span>
			</span>
	      	<span itemprop="ratingValue"><?php echo $recipe_rating; ?></span> 
		  	<span itemprop="bestRating">5</span>
		  	<span itemprop="ratingCount"><?php echo cp_recipe_rating($post_id,true); ?></span>
	    </div>
	</div>

<?php endif; ?>

<?php if (in_array('description', $recipe_info)) :

	if($recipe_short_description = get_post_meta($post_id, '_cp_recipe_short_description', true)) : ?>
		<div class="info-entry summary">
			<?php echo do_shortcode(wpautop($recipe_short_description)); ?>
		</div><!-- /.entry -->
	<?php endif;

endif;

$prep_time = get_post_meta($post_id, '_cp_recipe_prep_time', true);
$cook_time = get_post_meta($post_id, '_cp_recipe_cook_time', true);
$total_time = $cook_time + $prep_time;
$yields = get_post_meta($post_id, '_cp_recipe_yields', true);

if (in_array('timing', $recipe_info) || in_array('yields', $recipe_info)):
	if ($prep_time || $cook_time || $yields): ?>
	
		<div class="timing">
			<ul>
				<?php if (in_array('timing', $recipe_info)) : ?>
					<?php if ($prep_time): ?><li><strong><?php _e('Prep','cooked'); ?>:</strong> <?php echo cp_format_time($prep_time); ?></li><?php endif; ?>
					<?php if ($cook_time): ?><li><strong><?php _e('Cook','cooked'); ?>:</strong> <?php echo cp_format_time($cook_time); ?></li><?php endif; ?>
					<?php if ($prep_time || $cook_time || $yields): ?>
						<li class="microformat-time">
							<?php if($prep_time) : ?><p class="preptime"><?php echo cp_format_time($prep_time); ?><span class="value-title" title="PT<?php echo $prep_time; ?>M"></span></p><?php endif; ?>
							<?php if($cook_time) : ?><p class="cooktime"><?php echo cp_format_time($cook_time); ?><span class="value-title" title="PT<?php echo $cook_time; ?>M"></span></p><?php endif; ?>
							<?php if($total_time) : ?><p class="duration"><?php echo cp_format_time($total_time); ?><span class="value-title" title="PT<?php echo $total_time; ?>M"></span></p><?php endif; ?>
						</li>
					<?php endif; ?>
				<?php endif; ?>
				<?php if (in_array('yields', $recipe_info) && $yields) : ?>
					<li><strong><?php _e('Yields','cooked'); ?>:</strong> <?php echo $yields; ?></li>
				<?php endif; ?>
			</ul>
		</div><!-- /.timing --><?php
	
	endif;
endif; ?>